1. Dns
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Dns

Update dns records

PUT
/dns
Updates an existing DNS record for a domain.

Request Body#

FieldTypeRequiredDescription
recordIdstringYesUnique identifier of the DNS record
domainstringYesDomain name associated with the record
hoststringYesHost name for the DNS record
valuestringYesValue of the DNS record
recordTypestringYesType of DNS record (e.g., MX, A, CNAME)
prioritystringNoPriority value (for MX records)

DMARC Default Tags#

For DMARC TXT records, we auto generates the DMARC value using following default tags.
By default, these tags are included:
TagDefault ValueDescription
ruamailto:<email>Aggregate report recipient email
rufmailto:<email>Forensic/failure report recipient email
fo0Failure reporting option
rfafrfForensic report format
ri604800Report interval in seconds
pct100Percentage of messages the policy applies to
sprejectSubdomain policy
aspfrSPF alignment mode
adkimrDKIM alignment mode

Excluding Optional DMARC Tags#

If you want to exclude specific optional tags, send them in:
"excludedDMARCtags": ["rua", "ruf"]
To remove already existing excluded DMARC tags, send excludedDMARCtags as an empty array

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/json

Examples
{
  "recordId": "rec_98765",
  "domain": "example.com",
  "host": "mail",
  "value": "mail.example.com",
  "recordType": "MX",
  "priority": "10"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PUT 'https://customers.coldmailreseller.com/api/v1/integration/dns?userId=BVZGM5TE9BMP3PP0VWGW943RGV1K' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "recordId": "rec_98765",
  "domain": "example.com",
  "host": "mail",
  "value": "mail.example.com",
  "recordType": "MX",
  "priority": "10"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "status": 200,
    "message": "DNS Record updated successfully",
    "data": {
        "status": "Success",
        "statusDescription": "The record was modified successfully."
    },
    "actionId": "ACT_7a078272-0fa7-4db4-a85b-c78697dacea1"
}
🟠422Unprocessable Entity
Modified at 2026-06-23 16:21:02
Previous
Adds dns record
Next
Delete dns records
Built with